#!/bin/bash

# 获取脚本所在目录
SCRIPT_DIR="$(cd "$(dirname "$0")" && pwd)"

# 设置项目目录为脚本所在目录的子目录
PROJECT_DIR="$SCRIPT_DIR"

# 分支名称（需要监听的分支，例如 main）
BRANCH="master"

# 切换到项目目录
cd $PROJECT_DIR || { echo "Directory $PROJECT_DIR not found!"; exit 1; }

# 拉取最新代码
echo "Pulling latest changes from branch $BRANCH..."
git fetch origin $BRANCH
git reset --hard origin/$BRANCH || { echo "Failed to reset branch $BRANCH"; exit 1; }

# 构建 Docker 镜像
echo "Building Docker image..."
docker compose build || { echo "Docker build failed!"; exit 1; }

# 停止旧容器并启动新容器
echo "Restarting service..."
docker compose down || { echo "Docker compose down failed!"; exit 1; }
docker compose up -d || { echo "Docker compose up failed!"; exit 1; }

echo "Deployment complete!"